Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractItemView.CursorAction

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAbstractItemView.CursorAction

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractItemView

    public static final class QAbstractItemView.CursorAction

extends java.lang.Enum
implements QtEnumerator

This enum describes the different ways to navigate between items,

See also.
  `moveCursor()`.

See Also:
  Serialized Form

Field Summary
`static QAbstractItemView.CursorAction` | `MoveDown` Move to the item below the current item.
`static QAbstractItemView.CursorAction` | `MoveEnd` Move to the bottom-right corner item.
`static QAbstractItemView.CursorAction` | `MoveHome` Move to the top-left corner item.
`static QAbstractItemView.CursorAction` | `MoveLeft` Move to the item left of the current item.
`static QAbstractItemView.CursorAction` | `MoveNext` Move to the item after the current item.
`static QAbstractItemView.CursorAction` | `MovePageDown` Move one page down below the current item.
`static QAbstractItemView.CursorAction` | `MovePageUp` Move one page up above the current item.
`static QAbstractItemView.CursorAction` | `MovePrevious` Move to the item before the current item.
`static QAbstractItemView.CursorAction` | `MoveRight` Move to the item right of the current item.
`static QAbstractItemView.CursorAction` | `MoveUp` Move to the item above the current item.

Method Summary
`static QAbstractItemView.CursorAction` | `resolve(int value)` Returns the QAbstractItemView$CursorAction constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractItemView.CursorAction` | `valueOf(java.lang.String name)`
`static QAbstractItemView.CursorAction[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MoveUp

    public static final QAbstractItemView.CursorAction MoveUp

  Move to the item above the current item.

### MoveDown

    public static final QAbstractItemView.CursorAction MoveDown

  Move to the item below the current item.

### MoveLeft

    public static final QAbstractItemView.CursorAction MoveLeft

  Move to the item left of the current item.

### MoveRight

    public static final QAbstractItemView.CursorAction MoveRight

  Move to the item right of the current item.

### MoveHome

    public static final QAbstractItemView.CursorAction MoveHome

  Move to the top-left corner item.

### MoveEnd

    public static final QAbstractItemView.CursorAction MoveEnd

  Move to the bottom-right corner item.

### MovePageUp

    public static final QAbstractItemView.CursorAction MovePageUp

  Move one page up above the current item.

### MovePageDown

    public static final QAbstractItemView.CursorAction MovePageDown

  Move one page down below the current item.

### MoveNext

    public static final QAbstractItemView.CursorAction MoveNext

  Move to the item after the current item.

### MovePrevious

    public static final QAbstractItemView.CursorAction MovePrevious

  Move to the item before the current item.

Method Detail

### values

    public static QAbstractItemView.CursorAction[] values()

### valueOf

    public static QAbstractItemView.CursorAction valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractItemView.CursorAction resolve(int value)

  Returns the QAbstractItemView$CursorAction constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD